From b46dd15bb0df0ea77b9261b6c1e0cbc42ec3cc23 Mon Sep 17 00:00:00 2001
From: Martin Hipp <martin.hipp@gmail.com>
Date: Wed, 28 Aug 2013 21:17:11 +1200
Subject: [PATCH] Added .offset() method to joli.query

---
 joli.js | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/joli.js b/joli.js
index 12a7652..4cce48e 100644
--- a/joli.js
+++ b/joli.js
@@ -251,6 +251,10 @@ var joliCreator = function() {
                 q.limit(constraints.limit);
             }
 
+            if (constraints.limit && constraints.offset) {
+                q.offset(constraints.offset);
+            }
+
             return q.execute();
         },
         count: function(constraints) {
@@ -537,6 +541,10 @@ var joliCreator = function() {
                 query += ' limit ' + this.data.limit;
             }
 
+            if (this.data.limit && this.data.offset) {
+                query += ' offset ' + this.data.offset;
+            }
+
             return query;
         },
         groupBy: function(group) {
@@ -661,6 +669,10 @@ var joliCreator = function() {
             this.data.limit = limit;
             return this;
         },
+        offset: function(offset) {
+            this.data.offset = offset;
+            return this;
+        },
         order: function(order) {
             if ('string' === joli.getType(order)) {
                 order = [order];
